package com.huatek.busi.service.gis;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.vo.GisSf6PressureStatisticsVo;
import com.huatek.busi.vo.HomeActualVo;
import com.huatek.busi.vo.Sf6EnvStatisticsVo;

import java.time.LocalDate;
import java.util.List;

/**
 *
 * SF6环境监测
 */
public interface Sf6EnvService {
    HomeActualVo queryActual(HomeSearchDto param);

    Sf6EnvStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);

    List<HomeActualVo> queryActuals();
}
